This directory contains a vim script that allows reading notmuch mail
through vim.

NOTE: this is a work in progress.  Patches welcome. <bart@jukie.net>

Dependencies:
    notmuch:
        Naturally, it expects you have notmuch installed and configured.

    mail:
        To send mail, notmuch.vim uses the UNIX mail command.

    git-diff:
        The vim interface makes use of the git-diff.vim syntax file
        which is available from
            http://github.com/motemen/git-vim/blob/master/syntax/git-diff.vim


To install:
        make install


To run:
        vim -c ':NotMuch'

    from vim:
        :NotMuch
        :NotMuch new to:bart@jukie.net 'subject:this is a test'


Buffer types:
    [notmuch-folders]
        Folder list, or technically a list of saved searches.

        Keybindings:
            <Enter> - show the selected search
            m       - compose a new message
            s       - enter search criteria
            =       - refresh display

    [notmuch-search]
        You are presented with the search results when you run :NotMuch.

        Keybindings:
            <Space> - show the selected thread colapsing unmatched items
            <Enter> - show the entire selected thread
            a       - archive message (remove inbox tag)
            f       - filter the current search terms
            o       - toggle search screen order
            m       - compose a new message
            r       - reply to thread
            s       - enter search criteria
            ,s      - alter search criteria
            t       - filter the current search terms with tags
            q       - return to folder display, or undo filter
            +       - add tag(s) to selected message
            -       - remove tag(s) from selected message
            =       - refresh display
            ?       - reveal the thread ID of what's under cursor
            ^]      - search using word under cursor

    [notmuch-show]
        This is the display of the message.

        Keybindings:
            <Space> - mark read, archive, go to next matching message
            ^n      - next message
            ^p      - previous message
            b       - toggle folding of message bodies
            c       - toggle folding of citations
            h       - toggle folding of extra header lines
            i       - toggle folding of signatures
            m       - compose a new message
            r       - reply to the message
            s       - enter search criteria
            q       - return to search display
            ?       - reveal the message and thread IDs of what's under cursor
            ^]      - search using word under cursor

    [notmuch-compose]
        When you're writing an email, you're in this mode.

        Insert-mode keybindings:
            <Tab>   - go to the next header line

        Normal-mode keybindings:
            <Tab>   - go to the next header line
            ,s      - send this message
            ,q      - abort this message

